using System;
using _2chSQL;
using Npgsql;
using Npgsql.Internal.TypeHandlers.NetworkHandlers;

namespace Driver
{
    public class Program
    {
        static void Main()
        {
            Console.WriteLine("Добро пожаловать на кибердвач! Введите команду 'list' чтобы показать все посты в треде, введите команду 'update' чтобы изменить содержимое поста, введите команду 'add' чтобы добавить пост");
            Console.WriteLine("Введите Exit для выхода из программы");
            while (true)
            {
                string input = Console.ReadLine();
                if (input == "list") DBLinks.DbList();
                if (input == "upd")
                {
                    Console.WriteLine("Введите через знак $ номер поста и текст, который хотите туда сохранить");
                    string updline = Console.ReadLine();
                    string[] update = updline.Split('$');
                    //Console.WriteLine(update[0]);
                    //Console.WriteLine(update[1]);
                    DBLinks.DbUpdate(update[0], update[1]);

                }
                if(input == "add")
                {
                    Console.WriteLine("Напишите что-нибудь");
                    DBLinks.DbAdd(Console.ReadLine());
                    DBLinks.DbList();
                }
                //DBLinks.DbList();
                if (input == "Exit") break;
            }

        }
    }
}